import fetch from '@/utils/fetch'

/**
 * 【增】 - 角色
 *
 * @param {Object} data
 * @returns
 */
export const createRoleApi = (data) =>
  fetch({ url: 'system/role', method: 'post', data })

/**
 * 【删】 - 角色
 * @param {number} id
 * @returns
 */
export const deleteRoleApi = (id) =>
  fetch({ url: 'system/role/' + id, method: 'delete' })

/**
 * 【改】 - 角色
 * @param {Object} data
 * @returns
 */
export const updateRoleApi = ({ id, ...data }) =>
  fetch({ url: 'system/role/' + id, method: 'patch', data })

/**
 * 【查】 - 角色
 *
 * @returns
 */
export const findAllRoleApi = () =>
  fetch({ url: 'system/role', method: 'get' })
